.TH ethregs 8 "@TODAY@" 
.IX ethregs
.SH NAME
ethregs \- dump Intel wired ethernet device registers
.SH SYNOPSIS
.B ethregs
.RB [ options ]
.SH DESCRIPTION
.B ethregs
is a utility for displaying the registers of e1000 devices.  It requires
root privileges.

By default, it shows all registers that are not clear-on-read of all PCI
devices which use the e1000 device driver.

.SH OPTIONS
.TP
.B -c, --clear
Also display registers that are clear-on-read.  WARNING: this may interfere
with the driver.
.TP
.B -i, --idfile=<file>
Use
.B
<file>
as the PCI ID list instead of the standard pci.ids file installed on the system.
.TP
.B -o, --offset
Display register offsets.
.TP
.B -d, --device=[<vendor>]:[<device>]
Show only e1000 devices with specified vendor and device ID. Both ID's are 
given in hexadecimal and may be omitted or given as "*", both meaning "any 
value".  Note, 8086 (i.e. Intel) is the only valid <vendor> and may be ommitted.
.TP
.B -s, --slot=[[@DOMAIN_OPT@<bus>]:][<slot>][.[<func>]]
Show only e1000 devices in the specified @DOMAIN_TXT@bus (0 to ff), 
slot (0 to 1f) and function (0 to 7).  Each component of the device address 
can be omitted or set to "*", both meaning "any value". All numbers are 
hexadecimal.  E.g., "0:" means all devices on bus 0, "0" means all functions 
of device 0 on any bus, "0.3" selects third function of device 0 on all buses 
and ".4" shows only the fourth function of each device.
.TP
.B -V, --version
Shows 
.I ethregs
version. This option should be used stand-alone.

.SH FILES
.TP
.B pci.ids
A list of all known PCI ID's (vendors, devices, classes and subclasses). 
Maintained at http://pciids.sourceforge.net/, use the
.B update-pciids
utility to download the most recent version.
.TP
.B /proc/bus/pci
An interface to PCI bus configuration space provided by the post-2.1.82 Linux
kernels. Contains per-bus subdirectories with per-card config space files and a
.I devices
file containing a list of all PCI devices.

.SH SEE ALSO
.BR lspci (8),
.BR update-pciids (8)

.SH AUTHOR
Intel LAN Access Division <linux-nics@intel.com>.
